<?php
include 'inclydings/gzips.php';
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
Error_Reporting (ERROR | WARNING);
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';
if (isset($user)) {

if($game=="no"){
$g=mysql_query("SELECT * FROM `table_tmploves` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==0){
echo "У вас нет предложения";
include 'inclydings/down.php';
exit;
}
mysql_query("DELETE FROM `table_tmploves` WHERE `nick`='".$log."'");
echo "Вы отклонили предложение";
echo "<li><a href=\"love.php\">Назад</a>";
include 'inclydings/down.php';
exit;
}


if($game=="yes"){
$g=mysql_query("SELECT * FROM `table_tmploves` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==0){
echo "У вас нет предложения";
echo "<li><a href=\"love.php\">Назад</a>";
include 'inclydings/down.php';
exit;
}
$result666 = mysql_query("SELECT * FROM `table_tmploves` WHERE `nick`='".$log."'");
$po = mysql_fetch_array($result666);
$query = "INSERT INTO table_loves VALUES('$po[para]','$log')";
$result = mysql_query($query);
$query = "INSERT INTO table_loves VALUES('$log','$po[para]')";
$result = mysql_query($query);
mysql_query("DELETE FROM `table_tmploves` WHERE `nick`='".$log."'");
echo "Вы успешно вступили в брак";
echo "<li><a href=\"love.php\">Назад</a>";
include 'inclydings/down.php';
exit;
}

if($game=="predlozit"){
if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такого игрока нет в базе данных"; exit;}

$g=mysql_query("SELECT * FROM `table_tmploves` WHERE `nick`='$para' LIMIT 1");
if(mysql_num_rows($g)==1){
echo "Этому персонажу уже отправлено предложение";
echo "<li><a href=\"love.php\">Назад</a>";
include 'inclydings/down.php';
exit;
}
$g=mysql_query("SELECT * FROM `table_loves` WHERE `nick`='$para' LIMIT 1");
if(mysql_num_rows($g)==1){
echo "Этот прсонаж уже состоит в браке";
echo "<li><a href=\"love.php\">Назад</a>";
include 'inclydings/down.php';
exit;
}
$query = "INSERT INTO table_tmploves VALUES('$para','$log')";
$result = mysql_query($query);
echo "Предложение отослано";
echo "<li><a href=\"love.php\">Назад</a>";
include 'inclydings/down.php';
exit;
}
$g=mysql_query("SELECT * FROM `table_loves` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($g)==0){
echo'<form method="post" action="love.php?'.$sd.'&game=predlozit">';
echo "-  <b>Ник пары:</b><br/>";
echo "<input class=\"button\" name=\"para\" maxlength=\"10\" title=\"Ник пары\" emptyok=\"true\"/><br/>";
echo '<br/><input class="button" type="submit" value="Сделать предложение"/></form>';
}else{
echo "Вы уже состоите в браке";
}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include 'inclydings/down.php';
?>










